# Flutter Kurdish Localization 🌍

This package provides unofficial localization support for *Central Kurdish Branch Sorani **(Kurdish: سۆرانی ,Soranî‎)***.  This package is based on the recommendation from this [issue](https://github.com/flutter/flutter/issues/35103) Although it was missing the RTL part, therefore the package overrides *MaterialLocalizations* and *WidgetsLocalizations*.

----
### Getting Started

`import 'package:flutter_kurdish_localization/flutter_kurdish_localization.dart';`

Add these two delegates to *localizationsDelegates* array


**KurdishMaterialLocalizations.delegate** For text and dates localization
**KurdishWidgetLocalizations.delegate**  For text and UI directionality

```dart
return MaterialApp(
	localizationsDelegates: [
		..
		KurdishMaterialLocalizations.delegate,
		KurdishWidgetLocalizations.delegate,
		...
	],
	supportedLocales: [ Locale('ckb') ]
	ocale: Locale('ckb')
 )
```

-----
### Translations are available now!

